import request from '@/utils/request'

// 订单统计信息
export function orderData(data) {
	return request({
		url: '/api/order/data',
		method: 'get',
		data
	});
}
//获取邀请人列表
export function spread_people(data) {
	return request({
		url: '/api/spread/people',
		method: 'post',
		data
	});
}
//充值美卡
export function recharge(data) {
	return request({
		url: '/api/level/recharge',
		method: 'post',
		data
	});
}
//是否有免费领取赠品就会
export function allow(data) {
	return request({
		url: '/api/gift/allow',
		method: 'get',
		data
	});
}
//赠品列表
export function list(data) {
	return request({
		url: '/api/gift/list',
		method: 'get',
		data
	});
}
//领取赠品
export function send(data) {
	return request({
		url: '/api/gift/send',
		method: 'post',
		data
	});
}