export function getActionPage() {
	let pages = getCurrentPages();
	return pages[pages.length - 1]
}
//登录拦截
export function interceptor() {
	let pages = getActionPage();
	// 获取当前页面
	let pageUrl = '/' + pages.route;
	let url = '/pages/public/login'
	// #ifdef H5
	// 判断是否为公众号调用微信授权登录
	let weichatBrowser = uni.getStorageSync('weichatBrowser');
	if (weichatBrowser) {
		url = '/pages/public/wxLogin';
	}
	// #endif
	// #ifdef MP-WEIXIN
	url = '/pages/public/wxLogin';
	// #endif
	if (pageUrl != url) {
		uni.navigateTo({
			url
		})
	}
}


// // 保存页面
// export function saveUrl() {
// 	// 获取当前页面
// 	let page = getActionPage();
// 	// 获取跳转前路由地址
// 	let path = '/' + page.route;
// 	console.log(path)
// 	// 判断是否在商品页
// 	uni.showModal({
// 	    title: '提示',
// 	    content: page.route,
// 	});
// 	if (path == '/pages/product/product') {
// 		path = path + '?id=' + page.id;
// 		// 判断是否不是普通商品
// 		if(page.goodsType>0){
// 			path+='&type='+page.goodsType
// 		}
// 		// 判断是否为秒杀商品
// 		if(page.goodsType==1){
// 			path+="&stoptime="+page.seckillObj.stopTime
// 		}
// 	}
// 	// 保存当前过去页面
// 	uni.setStorageSync('present', path);
// 	// 返回是否存储成功
// 	return true;
// }

// 保存页面
export function saveUrl() {   // 获取当前页面
        let page = getActionPage();
        // 获取跳转前路由地址
        let path = '/' + page.route;
        let url = '';
        // 获取对象可枚举键值列表
        let objKeys= Object.keys(page.options);
        // 判断有无传值
        if(objKeys.length>0){
           // 循环赋值对象数据
            for(let a in page.options) {
                url += a+"="+page.options[a]+"&"
            }
            path += '?' + url.substr(0,url.length-1);
    }
        uni.setStorageSync('present', path);
}
