import request from '@/utils/request'

export function getAddressList(data) {
	return request({
		url: '/api/address/list',
		method: 'get',
		data
	});
}
export function addressEdit(data) {
	return request({
		url: '/api/address/edit',
		method: 'post',
		data
	});
}
// 删除地址
export function addressDel(data) {
	return request({
		url: '/api/address/del',
		method: 'post',
		data
	});
}
// 设为默认地址
export function setAddressDefault(data) {
	return request({
		url: '/api/address/default/set',
		method: 'post',
		data
	});
}
// 判断地址是否超出配送距离
export function check_address(data) {
	return request({
		url: '/api/check_address',
		method: 'post',
		data
	});
}

// 获取拼团地址
export function pinkAddress(data) {
	return request({
		url: '/api/address/detail/pink',
		method: 'get',
		data
	});
}

// 新增或修改拼团地址
export function pink_edit(data) {
	return request({
		url: '/api/address/pink_edit',
		method: 'post',
		data
	});
}