import request from '@/utils/request'
import {upFilse} from '@/utils/request'

// 订单确认
export function confirm(data) {
	return request({
		url: '/api/order/confirm',
		method: 'post',
		data
	});
}

// 大家还在拼
export function nowPinkLst(data) {
	return request({
		url: '/api/combination/is_now_pink_lst',
		method: 'get',
		data
	});
}


// 团长其他团
export function pinkTAllList(data, id) {
	return request({
		url: '/api/combination/pinkT_all_list/' + id,
		method: 'get',
		data
	});
}

// 订单列表
export function orderList(data) {
	return request({
		url: '/api/order/list',
		method: 'get',
		data
	});
}
// 订单详细
export function orderDetail(data,orderid) {
	return request({
		url: '/api/order/detail/'+orderid,
		method: 'get',
		data
	});
}

// 拼团订单详情
export function orderMake(data,orderid) {
	return request({
		url: '/api/pink/order/detail/'+orderid,
		method: 'get',
		data
	});
}

// 取消订单
export function orderCancel(data) {
	return request({
		url: '/api/order/cancel',
		method: 'post',
		data
	});
}

// 删除订单
export function orderDel(data) {
	return request({
		url: '/api/order/del',
		method: 'get',
		data
	});
}
// 申请退款
export function refund(data) {
	return request({
		url: '/api/order/refund/verify',
		method: 'post',
		data
	});
}
// 退款理由列表
export function refundReason(data) {
	return request({
		url: '/api/order/refund/reason',
		method: 'get',
		data
	});
}

// 确认收货
export function orderTake(data) {
	return request({
		url: '/api/order/take',
		method: 'post',
		data
	});
}
//提交评论
export function product(data) {
	return request({
		url: '/api/order/product',
		method: 'post',
		data
	});
}
//上传图片
export function upload(data) {
	return upFilse({
		url: '/api/upload/image',
		method: 'post',
		data
	});
}
//提交评论
export function order_comment(data) {
	return request({
		url: '/api/order/comment',
		method: 'post',
		data
	});
}

//接龙商品
export function KlonDetail(data, id) {
	return request({
		url: '/api/jl/order/detail/' + id,
		method: 'get',
		data
	});
}

// 改变数量 
export function ChangeNum(data) {
	return request({
		url: '/api/cart/change_num',
		method: 'post',
		data
	});
}

